# Feature flags in development of GitLab

Feature flags can be used to gradually roll out changes, be
it a new feature, or a performance improvement. By using feature flags, we can
comfortably measure the impact of our changes, while still being able to easily
disable those changes, without having to revert an entire release.

Before using feature flags for GitLab's development, read through the following:

- [Process for using features flags](process.md).
- [Developing with feature flags](development.md).
- [Controlling feature flags](controls.md).

When documenting feature flags, see [Feature flags](../documentation/styleguide.md#feature-flags)
in the Documentation Style Guide.
